| Home | Libraries | People | FAQ | More

##### execution_state::should_read_head

Returns whether the next operation should be read resultset head.

###### Synopsis

    bool
    should_read_head() const noexcept;

###### Description

Call `connection::read_resultset_head` or its async counterpart to move forward. Metadata and OK data for the previous resultset is available in this state.

###### Exception safety

No-throw guarantee.